Passkeys
POST
bearerAuthheader
AuthorizationBearer <JWT>WebAuthn-Optionen
curl -X POST 'https://example.com/api/v1/auth/passkeys/register/options'Example Response200
Empty
POST
bearerAuthheader
AuthorizationBearer <JWT>application/json- body
[key: string]?anyPasskey registriert
curl -X POST 'https://example.com/api/v1/auth/passkeys/register/verify' \ -H 'Content-Type: application/json' \ -d '{}'Example Response200
Empty
curl -X POST 'https://example.com/api/v1/auth/passkeys/login/options'Example Response200
Empty
POST
application/json- body
[key: string]?anyErfolgreich angemeldet
application/json- response
accessToken*stringrefreshToken*stringexpiresIn*integertokenType?stringuser*curl -X POST 'https://example.com/api/v1/auth/passkeys/login/verify' \ -H 'Content-Type: application/json' \ -d '{}'Example Response200
{ "accessToken": "string", "refreshToken": "string", "expiresIn": 0, "tokenType": "Bearer", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "loginName": "string", "displayName": "string", "firstName": "string", "lastName": "string", "role": "user", "status": "active", "locale": "de", "timezone": "Europe/Berlin", "themeMode": "light", "totpEnabled": true, "totpRequired": true, "passkeyEnabled": true, "hasPassword": true, "forcePasswordChange": true, "onboardingCompleted": true, "lastLoginAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}GET
bearerAuthheader
AuthorizationBearer <JWT>Passkey-Liste
curl -X GET 'https://example.com/api/v1/auth/passkeys'Example Response200
Empty
PATCH
bearerAuthheader
AuthorizationBearer <JWT>id*stringFormat
uuidapplication/json- body
name*stringLength
1 <= length <= 120Passkey aktualisiert
curl -X PATCH 'https://example.com/api/v1/auth/passkeys/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response200
Empty
DELETE
bearerAuthheader
AuthorizationBearer <JWT>id*stringFormat
uuidPasskey gelöscht
curl -X DELETE 'https://example.com/api/v1/auth/passkeys/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response204
Empty